# Animation.Properties

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.1.0.0)

Defines the animation properties.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Properties
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Properties
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Properties()

Creates a new instance of the animation properties.

## Properties

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Delay

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the delay before the animation starts in milliseconds. (Default: `0`)

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Duration

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the duration of the animation in milliseconds. (Default: `0`)

0 = Default. The animation is executed within the duration defined in the animation definition.

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Event

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the animation trigger event. (Default: `""`)

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Keep

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the frame to keep when the animation ends. (Default: `-1`)

-1 = Keeps the default frame as configured in the animation definition.

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Name

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the name of the selected animation. (Default: `""`)

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Repeat

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the number of times to repeat the animation. (Default: `0`)

-1 = Infinite. 0 = Default; the animation is repeated the number of times defined in the animation definition.

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Reverse

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the animation should be executed in reverse order. (Default: `False`)

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Timing

[AnimationTiming](https://docs.wisej.com/api/v3.1/wisej.web/extenders/animation/wisej.web.animationtiming): Returns or sets the speed curve of an animation. (Default: `Default`)

## Methods

### ![](https://3858804530-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1zeuyneJ2f5i3NKcg6us%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media)Run()

Runs the animation on the connected component immediately.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.1/wisej.web/extenders/animation/wisej.web.animation.properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
